package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: gaodm
 * @time: 2021/3/15 10:49
 */
@Getter
@Setter
public class BaseDiagnoseDTO {
    /**
     * 联合唯一键
     */
    private String baseKey;

    /**
     * id逗号隔开
     */
    private String ids;

    /**
     * 医学基本术语
     */
    private String libName;

    /**
     * 术语类型
     */
    private String libType;

    /**
     * 提示概念id
     */
    private Long conceptId;

    /**
     * 基础规则类型(1:等于术语本身;2:存在比较;3:不等于术语本身;)
     */
    private Integer type;

    /**
     * 最小域比较符
     */
    private String minOperator;

    /**
     * 最小域值
     */
    private String minValue;

    /**
     * 最小域单位
     */
    private String minUnit;

    /**
     * 最大域比较符
     */
    private String maxOperator;

    /**
     * 最大域值
     */
    private String maxValue;

    /**
     * 最大域单位
     */
    private String maxUnit;

    /**
     * 等于域比较符
     */
    private String eqOperator;

    /**
     * 等于域值
     */
    private String eqValue;

    /**
     * 等于域单位
     */
    private String eqUnit;
}
