package com.diagbot.mapper;

import com.diagbot.dto.DiagnoseDTO;
import com.diagbot.entity.KlDiagnose;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.DiagnoseVO;

import java.util.List;

/**
 * <p>
 * 诊断依据信息表 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2021-03-15
 */
public interface KlDiagnoseMapper extends BaseMapper<KlDiagnose> {
    //根据匹配的基础规则ID获取确诊、拟诊、警惕的疾病
    List<DiagnoseDTO> getDiagnoseByIds(DiagnoseVO diagnoseVO);
}
